> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/api-v1/orden-cambiar-estado-de-entrega.md).

# Orden: Cambiar estado de entrega

Permite modificar el estado de entrega de una orden de Fenicio.

<table data-full-width="false"><thead><tr><th width="135">Método</th><th>URL</th></tr></thead><tbody><tr><td><code>POST</code></td><td><code>/API_V1/ordenes/{idOrden}/estado-entrega</code></td></tr></tbody></table>

## Request

Se debe realizar una solicitud `POST` a la URL correspondiente, donde `{idOrden}` representa el identificador de la orden.

La información deberá enviarse con `Content-Type: application/x-www-form-urlencoded`.

<table><thead><tr><th width="225.33333333333331">Clave</th><th width="176">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>estado</code></strong></td><td><a href="https://guia.fenicio.help/developers/referencia/tipos-de-valores.md#estadoentrega"><strong>EstadoEntrega</strong></a></td><td>Estado de entrega de la orden.</td></tr><tr><td><strong><code>codigoTracking</code></strong></td><td>String(32) | null</td><td>Código de seguimiento del envío.</td></tr><tr><td><strong><code>info</code></strong></td><td>String</td><td>Información adicional sobre el estado de entrega.</td></tr></tbody></table>

### Ejemplo <a href="#ejemplo" id="ejemplo"></a>

```url
https://example.com/API_V1/ordenes/35/estado-entrega
```

```json
estado=AGUARDANDO_DESPACHO
codigoTracking=10023
info=El paquete se encuentra en depósito central.
```

### Response <a href="#response" id="response"></a>

<table><thead><tr><th width="207">Clave</th><th width="184">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>error</code></strong></td><td>Boolean</td><td>Valor booleano que indica si se generó algún error en la consulta.</td></tr><tr><td><strong><code>msj</code></strong></td><td>String</td><td>Mensaje descriptivo sobre la consulta realizada.</td></tr><tr><td><strong><code>orden</code></strong></td><td><a href="https://guia.fenicio.help/developers/referencia/modelos-de-datos/api-v1.md#orden"><strong>Orden</strong></a></td><td>Objeto con la información de la orden actualizada.</td></tr></tbody></table>

### Ejemplo <a href="#ejemplo-1" id="ejemplo-1"></a>

```json
{
  "error": false,
  "msj": "",
  "orden": {
    // Objeto Orden
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://guia.fenicio.help/developers/api-v1/orden-cambiar-estado-de-entrega.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
